@media(max-width:1439px){
    h1{font-size: 35px;}
    h2 { font-size: 30px; }
    .how_work_text{padding-right: 15px;}
    .testimonial_content { min-height: 390px; }
}
@media(max-width:1365px){
        .testimonial_content { min-height: 290px; }
}
@media(min-width:1200px) and (max-width:1400px){
 .bnnr_img img{
  min-height: 466px;
 }
 .rcnt_posts_wrap {
    padding-left: 0px;
 }
 .h_slide_txt h3 a{
  font-size: 13px;
  line-height: 22px;
 }
 .featured_txt .post_head h3{
  font-size:16px;
  line-height:26px;
 }
 .h_slide_img{
   flex:0 0 47%;
   width:47%;
 }
 .h_slide_txt{
      flex:0 0 53%;
   width:53%;
 }
 .header-search-panel{
   right:20px;
 }
 .cmmnts{
  font-size:13px;
 }
 .ad_main_slider{
  height:100%;
 }

 .ctgry_nws_row .categry-img img{
  height:100%;
 }
 .categry-img{
  flex: 0 0 100%;
  width: 100%;
 }
 .categry-dtls{
   flex: 0 0 100%;
  width: 100%;
 }
 .ctgry_nws_row .categry-dtls{
  margin-top:12px;
 }
   .header-middle .navbar-nav li{
    padding:0 5px;
  }
  .navbar-nav > li > a{
    font-size:14px;
  }
}
@media(max-width:1200px){

    .bnnr_img_col .bnnr_img_wrap{
      max-height: 222px;
    }
    .bnnr_img_wrap{
     max-height:100%;
    }
    .col-md-6 > .post_link .bnnr_txt h1{
      font-size: 28px;
      line-height: 38px;
    }
    .artcle_menu ul li {
     padding-right: 15px;
   }
   .rcnt_posts_wrap {
    padding-left: 0;
  }
  .post_head h4{
    font-size: 14px;
    line-height: 22px;
  }
  .rcnt_post_link .post_head {
    padding-left: 10px;
  }
  .sidebar_tag{
    font-size: 13px;
    line-height: 24px;
  }
  .header-middle .navbar-nav li{
    padding:0 5px;
  }
  .navbar-nav > li > a{
    font-size:14px;
  }

}
@media(max-width:1199px){
    .banner_sec{height: auto;}
    .key_points ul{flex-wrap: wrap;}
    .pricing_wrapper{flex-wrap: wrap;gap: 30px;}
    .pricing_leftpnl { width: 100%; min-width: 100%; }
    .pricing_rightpnl{padding-left: 0;}
    .sub-menu{
     min-width:200px;
    }
    .navbar-nav .sub-menu li a{
     color: var(--bs-color-black);
    display: inline-flex;
    align-items: center;
    gap: 5px;
    padding: 8px 0 8px 15px !important;
    font-weight: 500;
    font-size: 14px;
    }
    .bnnr_img img{
     aspect-ratio:1;
    }
    .bnnr_img_col .bnnr_img_wrap{
      max-height: 222px;
    }
    .bnnr_img_wrap{
     max-height:100%;
    }
    .col-md-6 > .post_link .bnnr_txt h1{
      font-size: 28px;
      line-height: 38px;
    }
    .artcle_menu ul li {
     padding-right: 15px;
   }
   .rcnt_posts_wrap {
    padding-left: 0;
  }
    .sidebar_tag{
    font-size: 13px;
    line-height: 24px;
  }
  .v_slide_img img{
    height:90px;
  }
  .v_slide_txt h3{
    font-size:12px;
    line-height:18px;
    margin:10px 0;
  }
  .featured_txt .post_head h3{
    font-size:16px;
    line-height:24px;
  }
  .featured_txt .post_txt p{
    margin-bottom:10px;
  }
  .featured_txt .post_link a{
    font-size:14px;
    line-height:22px;
  }
  .featured_slider .featured_item{
    padding:0 10px;
  }
  .authr_dtls_main .autr_nm span, .post_time span{
    font-size:11px;
    line-height:20px;
  }
  .cmmnts{
   font-size:12px;
   line-height:18px;
  }
  .authr_nm span, .catgry_date span{
    font-size:11px;
    line-height:20px;
  }
  .categry_head a h3{
    font-size:16px;
    line-height:28px;
  }
    .header-middle .navbar-nav li {
        padding: 0 4px;
    }
        .navbar-nav > li > a {
        font-size: 12px;
    }
  .navbar-nav{
    margin-right:0;
  }
  .sidebar{
    padding-left:0;
  }
  .sub_bx_head p{
    font-size:13px;
  }
  .bnnr_slider{
    height:490px;
  }
  .ad_main_slider{
  height:100%;
 }
 .next-prev-col{
  padding: 18px 15px;
 }

 .ctgry_nws_row .categry-img img{
  height:100%;
 }
 .categry-img{
  flex: 0 0 100%;
  width: 100%;
 }
 .categry-dtls{
   flex: 0 0 100%;
  width: 100%;
 }
 .ctgry_nws_row .categry-dtls{
  margin-top:12px;
 }
 .authr_img{
  width:40px;
  height:40px;
  margin-right:4px;
 }
 .cat_auth_dtls{
  gap:4px;
 }
 .categry-dtls h3{
  font-size: 16px !important;
  line-height: 24px;
  margin: 8px 0 8px;
 }
 .ctgry_nws_row .col-md-6{
  padding:0 !important;
 }
 .news_dlts_outr ul, .news_dlts_outr ol{
  padding-left:0;
 }
 .news_dlts_outr ol li{
  padding-left:0;
 }
 .header-middle .navbar-nav li{
    padding:0 5px;
  }
   .sidebar_h_slider_main{
    padding-top:15px;
  }
  .ctgry_nws_row .categry-img img{
    height:140px;
  }
  .categry_img img{
    height:190px;
  }
  .pstlist.ctgry_nws_row .categry-img img{
    height: 140px;
  }
}

@media(max-width:991px){
  .header-middle .navbar-nav li:first-child { padding-left: 5px; }
        .header.sticky{padding: 15px 0;}
        .navbar-collapse { height: 100%; width: 0; position: fixed; z-index:9; top: 0; right: 0; background-color:var(--bs-color-white); overflow-x: hidden; -webkit-transition: 0.5s; -o-transition: 0.5s; transition: 0.5s; padding: 75px 0 40px; }
        .navbar-collapse .navbar-nav{padding: 0 20px; height: calc(100vh - 95px); overflow-y: auto;}
        .navbar-collapse.show { width: 100%; }
        .navbar { position: relative; }
        .login-details { margin-right: 45px; }
        .navbar-nav > li > a{display: flex;align-items: center;justify-content: space-between;font-size: 16px;padding: 10px 5px !important;color:var(--bs-color-black);}
        .sub-menu{position: static;left: inherit;right: inherit;transform: none;display: none;opacity: 1;}
        .megamenu_wrapper{margin: 0;min-width: 100% !important;}
        .navbar-nav li:hover .down-arrow, .navbar-nav li:focus .down-arrow{transform: none;}

        .navbar-nav li.active .down-arrow{transform: rotate(180deg);}

        .banner_sec .col-lg-6:first-child, .portfolio_slider .col-lg-6:first-child{order: 2;}
        .banner_sec .col-lg-6:last-child, .portfolio_slider .col-lg-6:last-child{order: 1;}
        .banner_sec .row,.footer-top .row{row-gap: 30px;}
        .banner_sec{padding: 105px 0 35px;}
        .contact_btn { min-width: 240px; }
        .explore_text { max-width: 320px; max-height: 370px; overflow-y: auto; }
        .testimonial_content { min-height: auto; }
        .pricing_bx{padding: 30px 15px;}
        .about_wrapper .row{row-gap: 30px;}
        .bottm_header .navbar a img{
          max-width:170px;
        }
        .top_header {
          padding: 10px 0;
       }
       .top_hd_innr{
        flex-direction:column;
        align-items: center;
        gap: 10px;
       }
       .top_hd_lft, .top_hd_mddl, .top_hd_rght {
        width: 100%;
        text-align: center;
        justify-content: center;
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
    }
    .top_hd_wthr_wrap, .top_hd_date_wrap {
        display: inline-flex;
        align-items: center;
        gap: 5px;
        font-size: 13px;
    }
    .socl_nav {
        padding: 0;
        margin: 5px 0;
    }
    .bottm_header {
        padding: 15px 0;
    }
    .bottm_header .navbar {
        display: flex !important;
        flex-direction: row !important;
        justify-content: space-between !important;
        align-items: center;
        position: relative; /* Base for logo centering */
    }
     .bottm_header .navbar-toggler {
        order: 3;
        display: block;
        border: none;
        padding: 0;
        z-index: 10;
        background-color:transparent;
        top:50%;
    }
    
 .navbar-brand {
    margin: 0 auto;
    position: relative;
    transform: none;
    min-width: auto;
     max-width:none;
     order:2;
  }
    
   .header-search {
        order: 1;
        z-index:3;
    }
  .bottm_header .navbar-toggler.is-active{
    position: fixed !important;
    top: 30px; 
    right: 15px;
    z-index: 10001; 
  }
   .srvc_menu_item {
    padding: 10px 0;
  }
  .navbar-nav .sub-menu li a{
    font-size:15px;
  }
  .ticker_lbl{
    font-size: 12px;
    padding: 10px 15px 10px 10px;
  }
  marquee{
   font-size:13px;
   line-height:20px;
  }
  .bnnr_txt{
    left: 15px;
    right: 15px;
    z-index:2;
  }
  .bnnr_sec .row .col-md-6:nth-child(1) .bnnr_img_wrap{
    padding-bottom:5px;
  }
      .col-md-6 > .post_link .bnnr_txt h1 {
        font-size: 25px;
        line-height: 35px;

    }
      .bnnr_img_col .bnnr_img_wrap {
        max-height: 102px;
    }
    .bnnr_img_col .bnnr_txt h1 {
    font-size: 12px;
    line-height: 18px;
    margin: 7px 0; 
  }
  .yellow-tag{
    font-size: 12px;
    line-height: 18px;
    padding: 7px;
  }
   .artcle_menu ul li {
     padding-right: 7px;
   }
   .artcle_menu ul li a {
    font-size: 10px;
    line-height: 18px;
  }
  .rcnt_post_link{
    flex-direction: column;
  }
      .rcnt_post_link .post_head {
        padding-left: 0;
        padding-top: 10px;
    }
    .artcle_txt_wrap h3{
      font-size:20px;
      line-height:28px;
    }
    .sidebar{
     padding-left:0;
    }
    .author_dtls{
      font-size: 12px;
      line-height: 20px;
    }
    .artcle_txt_wrap p{
      font-size: 14px;
      line-height: 22px;
    }
    .v_slide_btm_txt{
      padding:2px 4px;
    }
    .h_slide_innr{
      flex-direction:column;
    }
    .h_slide_img{
      flex:0 0 100%;
      width:100%;
    }
    .h_slide_txt {
    flex: 0 0 100%;
    width: 100%;
  }
  .appendArrows,.categoryArrows{
    top:0;
    transform: translateY(0);
  }
  .appendArrows button, .categoryArrows button{
    width:35px;
    height:35px;
    font-size:14px;
  }
  .categry h2,.feature_head h2{
    margin-top:10px;
    font-size: 22px;
    line-height: 30px;
  }
  /* Transform the panel into a left sidebar */
    .header-search-panel {
      position: fixed !important; 
        top: 0 !important;
        left: -100% !important; /* Start hidden on the left */
        right: auto !important;
        width: 85% !important; /* Sidebar width */
        max-width: 320px;
        height: 100vh !important;
        margin: 0 !important;
        transform: none !important; /* Disable the desktop 'drop' effect */
        transition: left 0.4s cubic-bezier(0.4, 0, 0.2, 1) !important;
        border-radius: 0 !important;
        z-index: 99999 !important; /* Ensure it is above everything else */
        display: block !important;
        padding: 40px 20px !important;
    
    }
 
    .header-search-panel.active {
        left: 0 !important;
        opacity: 1 !important;
        visibility: visible !important;
    }


    .header-search-panel .container {
        padding-top: 60px; 
    }
    
    .search-panel-form input {
        font-size: 18px; 
        padding: 15px 0;
    }
    .search-toggle{
      font-size:14px;
      padding:10px;
    }
    .sidebar_tag::after{
      width:240px;
    }
    .artcle_menu::after{
      bottom: 46%;
    }
     .bnnr_main_slider,
  .bnnr_slider {
    height: 400px;
  }

  .bnnr_txt h1 {
    font-size: 24px;
    line-height: 32px;
  }

  .bnnr_thumb_slider {
    height: auto;
    margin-top:8px;
  }
  .bnnr_thumb_slider .post_img {
    height: 100%;
    overflow: hidden;
    flex: 0 0 100%;
    width: 100%;
 }
 .bnnr_thumb_slider .post_img{
  height: 100%;
  max-width:none;
 }
  .bnnr_thumb_slider .post_img img{
    height:160px;
  }
  .thumb_slide{
    padding:0 6px;
  }
  .bnnr_thumb_slider .rcnt_post_link{
    gap:0;
  }
  .bnnr_sec{
    padding: 5px 0 15px;
  }
  .bnnr_thumb_slider .rcnt_post_link .post_head{
    flex: 0 0 100%;
    width: 100%;
  }
  .bnnr_thumb_slider .post_head h4{
    margin:4px 0 2px;
  }
  .btm_nws_scroll{
    padding-top:30px;
  }
  .bnnr_thumb_slider .slick-arrow{
    bottom: -30px;
    width: 35px;
    height: 35px;
    min-width: 35px;
  }
  .btm_nws_scroll .ticker_wrap{
    margin-top:20px;
  }
  .bnnr_thumb_slider .slick-arrow{
    bottom: -50px;
  }
  .nws_title_head h1{
   font-size:30px;
 }
 .nws_txt_sec h2 {
   font-size: 22px;
  }
  .nws_list_main ul{
    padding-left:0;
  }
  .nws_list_main{
    gap:25px;
  }
  .news_dlts_outr p strong{
    margin-right:6px;
  }
  .nws_txt_sec h3 {
    font-size: 21px;
  }
  .blocks_sec blockquote{
    padding: 30px 30px 30px 50px;
  }
  .nws_ordr_list ol li{
    padding-left:0;
  }
  .nws_ordr_list ol li strong{
    margin-right:3px;
  }
  .post-title {
    font-size: 15px;
    line-height: 24px;
  }
  .h_slide_img img{
    width:100%;
  }
  .rcnt_post_innr .post_img img{
    max-width:none;
  }
  .pstlist .categry-img {
    flex: 0 0 50%;
    width: 50%;
 }
  .pstlist .categry-dtls{
    flex: 0 0 50%;
    width: 50%;
  }
  .nws_authr_social{
    margin-left:0;
    margin-top:15px;
  }
      .pstlist.ctgry_nws_row .categry-img img {
        height: 165px;
    }
}
@media(max-width:767px){
    .srvc_menu_item, .megamenu_wrapper.portfolio_wrapper{ padding: 15px; }
    h1{font-size: 32px;}
    h2{font-size: 26px;}
    h3{font-size: 21px;}
    .trusted_sec{padding: 20px 0;}
    .trusted_wrapper{flex-wrap: wrap;}
    .trusted_left_content { min-width: 100%; border-right: 0; text-align: center; margin-bottom: 25px; }
    .trusted_logo_wrapper{padding-left: 0;}
    .service_item{border: 1px solid var(--bs-color-grey-4);padding: 15px;border-radius: 10px;}
    .contact_wrapper{flex-wrap: wrap;}
    .section{padding: 40px 0;}
    .explore_tab_outer {flex-wrap: wrap;row-gap: 30px;}
    .tab_leftpnl, .tab_rightpnl { width: 100%; }
    .explore_text { max-width: 100%; max-height: 100%; overflow-y: auto; position: static; padding: 30px 0 0; }
    .explore_pic { width: 100%; min-width: 100%; }
    .explore_pic img{width: 100%;}
    .rating_information{text-align: center;}
    .rating_information p{display: inline-block;}
    .rating_information p .rating_star { display: flex; gap: 5px; justify-content: center; }
    .work_item::after{display: none;}
    .how_work_text { padding-right: 0; }
    .pricing_rightpnl{flex-wrap: wrap;}
    .pricing_bx{width: 100%;}
    .footer-btm{flex-wrap: wrap;justify-content: center;}
    .footer-btm p, .footer-btm ul{width: 100%;justify-content: center;text-align: center;}
    .footer-top { padding-bottom: 20px; }

    .bnnr_img_col .bnnr_img_wrap {
        max-height: 150px;
    }
    .col-md-6:last-child > .post_link .bnnr_img_wrap{
      max-height:200px;
    }
    .col-md-6 > .post_link .bnnr_txt h1{
      font-size: 23px;
      line-height: 35px;
    }
    .artcle_menu{
      flex-direction:column;
      align-items:flex-start;
    }
    /* .artcle_menu::after{
      display:none;
    } */
        .artcle_menu ul li {
        padding-right:5px;
    }
        .artcle_menu ul li a {
        font-size: 10px;
        line-height: 18px;
    }
    .rcnt_post_link {
        flex-direction: row;
    }
      .rcnt_post_link .post_head {
        padding-left: 10px;
        padding-top: 0;
    }
    .rcnt_post_link .post_head span{
      font-size: 12px;
      line-height: 18px;
    }
        .post_head h4 {
        font-size: 13px;
        line-height: 20px;
        margin-bottom:0;
    }
   .rcnt_post_item {
    padding-bottom: 15px;
  }
  .rcnt_posts_wrap{
    padding-top:20px;
  }
  .authr_dtls_wrap{
    justify-content:flex-start;
  }
  .post_cmmnt_num{
    margin-left: 10px;
  }
  .post_cmmnt_num span{
    font-size:13px;
    line-height:20px;
  }
  .feature_head h5,.categry h5{
    font-size: 16px;
    line-height: 26px;
  }
  .feature_head h5::after,.categry h5::after{
    width: 60px;
    right: -70px;
  }
  .appendArrows button, .categoryArrows button {
        width: 30px;
        height: 30px;
        font-size: 12px;
    }
.sidebar_v_slider_main .slick-arrow,.sidebar_h_slider_main .slick-arrow {
        bottom: 0 !important;
        top: auto !important;
        position: absolute;
      
        transform: translateX(-50%);
    }
  .sidebar_v_slider_main .slick-prev,.sidebar_h_slider_main .slick-prev {
        left: calc(50% - 30px) !important;
    }
  .sidebar_v_slider_main .slick-next,.sidebar_h_slider_main .slick-next {
        left: calc(50% + 30px) !important;
        right: auto !important;
    }
  .categry_head a h3{
    min-height:60px;
  }
  .categry{
    padding:30px 0 40px;
  }
  .v_slide_btm_txt{
    font-size:14px;
  }
  .article-sec {
    padding: 40px 0;
 }
     .bottm_header .navbar a img {
        max-width: 145px;
        margin-left: -35px;
    }
    .artcle_menu::after {
        bottom: 63%;
        width: 90%;
    }
    .bnnr_thumb_slider .rcnt_post_link{
      flex-direction:column;
    }
    .next-prev-row {
    flex-direction: column;
  }

  .next-post {
    text-align: left;
  }
  .rltd_nws_innr{
    margin-bottom: 15px;
  }
  .rltd_nws_slider .slick-arrow{
    width: 30px;
    height: 30px;
    font-size: 12px;
     top:-50px;
  }
  .rltd_nws_slider .slick-prev{
    right: 40px;
    left: auto;
   
  }

    .news_dlts_outr blockquote {
        padding: 30px;
    }
    .news_dlts_outr blockquote::after{
      left:10px;
      top:10px;
    }
    .news_dlts_outr p {
    font-size: 14px;
    line-height: 22px;
  }
  .news_dlts_outr ol li strong{
    font-size:15px;
  }
  .news_dlts_outr ol li p{
    font-size: 14px;
    line-height: 22px;
  }
  .bnnr_innr{
    min-height:480px;
  }
  .bnnr_cntnt{
   left:15px;
  }
  .cat_auth_dtls{
    justify-content:inherit !important;
  }
  .catgry_date span:last-child{
    margin-left:8px;
  }
  .authr_nm span, .catgry_date span{
    font-size:12px;
  }
  .catgry_date{
    margin-left:8px;
  }

.feature {
    padding: 30px 0 50px;
}
  .news-pagination-wrap{
    margin:10px 0 20px;
  }
  .contact_left, .contact_right{
    padding:25px 15px;
  }
  .contact_us{
    padding:50px 0;
  }
  .contact_form button{
    width:100%;
  }
  .contact_right{
   margin-top:30px;
 }
 .news_dlts_outr h1{
  font-size:30px;
 }
 .ad_item{
  margin-bottom:15px;
 }
 .ad_img img{
  max-height:380px;
  max-width:none;
 }
 .h_slide_img img{
  width:100%;
  height:270px;
 }
 .artcle_menu .sub-menu{
  left:-100px;
 }
 .rcnt_post_innr .post_img img{
  max-width:150px;
 }
 .ctgry_nws_row .categry-img img{
  height:100%;
 }
}
@media(max-width:575px){
    .srvc_menu_item:first-child { width: 100%; }
    .srvc_menu_item:last-child { width: 100%; border-left: 0; }
    .megamenu_wrapper{flex-wrap: wrap;}
    .navbar-collapse .navbar-nav{padding: 0;}
    .header.sticky{padding: 15px 0;}
    .prev-arrow, .next-arrow{position: static;transform: none;top: inherit;left: inherit;right: inherit;}
    .testimonials_arws, .portfolio_arws, .news_arws{display: flex;align-items: center;justify-content: center;gap: 15px;margin-top: 15px;}
    .news_slider { margin: 0; }
    .portfolio_slide_item{padding: 0;}
    .testimonial_slide_item { padding: 0; }
    .category_news .categry_item{
      flex-direction:column;
    }
    .pstlist .categry-img{
      flex: 0 0 100%;
      width: 100%;
    }
       .pstlist .categry-dtls {
        flex: 0 0 100%;
        width: 100%;
    }
    .ctgry_nws_row .categry_img img {
        height: 100%;
    }
}
@media(max-width:480px){
    .navbar-brand { padding: 0; margin: 0 auto;}
    h1{font-size: 28px;}
    h2{font-size: 24px;}
    .bnr_btnwrap{flex-wrap: wrap;}
    .testi_info_item + .testi_info_item { padding-left: 0; }
    .info_icon { width: 35px; min-width: 35px; }
    .news_slideitem{padding-left: 0;}
    .footer-top{padding-bottom: 0;}
}
